%define upstream_name       Perl-Critic
%define upstream_version 1.126

%global __requires_exclude perl\\((charnames|Perl6::Say)\\)
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Critique Perl source for style and standards
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(B::Keywords) >= 1.50.0
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny) >= 2.0.0
BuildRequires: perl(Email::Address) >= 1.889.0
BuildRequires: perl(English)
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open2) >= 1.0.0
BuildRequires: perl(List::MoreUtils) >= 0.190.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Module::Pluggable) >= 3.100.0
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(PPI::Document) >= 1.215.0
BuildRequires: perl(PPI::Document::File) >= 1.215.0
BuildRequires: perl(PPI::Node) >= 1.215.0
BuildRequires: perl(PPI::Token::Quote::Single) >= 1.215.0
BuildRequires: perl(PPI::Token::Whitespace) >= 1.215.0
BuildRequires: perl(PPIx::Regexp) >= 0.27.0
BuildRequires: perl(PPIx::Utilities::Node) >= 1.1.0
BuildRequires: perl(PPIx::Utilities::Statement) >= 1.1.0
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Pod::PlainText)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Pod::Spell) >= 1.0.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly) >= 1.30.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Format) >= 1.130.0
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Builder) >= 0.920.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords) >= 3.0.0
BuildRequires: perl(base)
BuildRequires: perl(charnames)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Module::Pluggable)
%description
Perl::Critic is an extensible framework for creating and applying coding
standards to Perl source code. Essentially, it is a static source code analysis
engine. Perl::Critic is distributed with a number of Perl::Critic::Policy
modules that attempt to enforce various coding guidelines. Most Policies are
based on Damian Conway's book Perl Best Practices. You can choose and customize
those Polices through the Perl::Critic interface. You can also create new
Policy modules that suit your own tastes.

For a convenient command-line interface to Perl::Critic, see the documentation
for perlcritic. If you want to integrate Perl::Critic with your build process,
Test::Perl::Critic provides a nice interface that is suitable for test scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Perl
%{perl_vendorlib}/Test
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.126.0-4pclos2017
- rebuild against updates

